Package fr.gouv.vitam.worker.core.plugin.lfc_traceability

# Class GenerateLifecycleTraceabilityActionPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.lfc_traceability.GenerateLifecycleTraceabilityActionPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `GenerateObjectGroupLifecycleTraceabilityActionPlugin`, `GenerateUnitLifecycleTraceabilityActionPlugin`

public abstract class GenerateLifecycleTraceabilityActionPlugin extends ActionHandler
GenerateLifecycleTraceabilityAction Plugin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRACEABILITY_EVENT_FILE_NAME`
  `static final String`
  `TRACEABILITY_ZIP_FILE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateLifecycleTraceabilityActionPlugin()`
  Empty constructor FinalizeLifecycleTraceabilityActionPlugin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `generateLifecycleTraceabilityFile(LogbookTraceabilityHelper helper)`
  Generation and storage of the secure file for lifecycles

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, execute, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRACEABILITY_ZIP_FILE_NAME

    public static final String TRACEABILITY_ZIP_FILE_NAME
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_EVENT_FILE_NAME

    public static final String TRACEABILITY_EVENT_FILE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GenerateLifecycleTraceabilityActionPlugin

    public GenerateLifecycleTraceabilityActionPlugin()
    Empty constructor FinalizeLifecycleTraceabilityActionPlugin

- ## Method Details

  - ### generateLifecycleTraceabilityFile

    protected void generateLifecycleTraceabilityFile(LogbookTraceabilityHelper helper) throws TraceabilityException
    Generation and storage of the secure file for lifecycles
    Parameters:
      `helper` - @throws TraceabilityException if any error occurs
    Throws:
      `TraceabilityException`